class UpdateTaskRequest {
  int ?orderId;
  List<UpdateTaskRequestItem> ?items;

  UpdateTaskRequest({this.orderId, this.items});

  UpdateTaskRequest.fromJson(Map<String, dynamic> json) {
    orderId = json['orderId'];
    if (json['items'] != null) {
      items = <UpdateTaskRequestItem>[];
      (json['items'] as List).forEach((v) {
        items!.add(new UpdateTaskRequestItem.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['orderId'] = this.orderId;
    if (this.items != null) {
      data['items'] = this.items!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class UpdateTaskRequestItem {
  int? quantity;
  int ?itemId;

  UpdateTaskRequestItem({this.quantity, this.itemId});

  UpdateTaskRequestItem.fromJson(Map<String, dynamic> json) {
    quantity = json['quantity'];
    itemId = json['item_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['quantity'] = this.quantity;
    data['item_id'] = this.itemId;
    return data;
  }

  @override
  String toString() {
    return 'UpdateTaskRequestItem{quantity: $quantity, itemId: $itemId}';
  }
}
